Fejlen "Kun til udviklingsformål" på Google basemaps

Kort som standard bruger Maps Marker Pro OpenStreetMap til kort, der kan bruges uden nogen obligatorisk API-nøgleregistrering. Hvis du imidlertid bruger Google Maps, kan du opleve følgende problem, hvis opsætningen af ​​Google API-nøglen var ufuldstændig / forkert:

Hvis du ser fejlen "Kun til udviklingsformål" på dit kort ved hjælp af Google basemaps, skal du åbne din browserkonsol (f.eks. Ved at trykke på tasten F12 i Firefox eller Chrome) og skifte til fanen "Konsol" for at se flere detaljer om fejl:

I eksemplet ovenfor er fejlen NoApiKeys, hvilket betyder, at den obligatoriske Google Maps Javascript API-nøgle mangler.

Alligevel er de fleste fejl relateret til din Google Maps Javascript API-nøgle, som er nødvendig for at få vist Google Maps korrekt.

Så for at løse dette, skal du fortsætte som følger:

  1. Sørg for, at du har registreret en Google Maps Javascript API-nøgle, se tutorial for detaljer. Sørg også for, at du har gemt dine kreditkortoplysninger i Google API-konsollen, hvilket er nødvendigt siden Google ToS ændringer fra sommeren 2018.
  2. hvis din fejl er RefererNotAllowedMapError Kontroller venligst trin 6 fra tutorial og sørg for at indstille din accepterede henviser til det domæne, hvor kortet er integreret, er konfigureret korrekt, som *.yourdomain.com/*

For alle andre fejl, se venligst på fejlreferencen på https://developers.google.com/maps/documentation/javascript/error-messages#deverrorcodes hvor du også finder en mulig løsning.

Hvis dette stadig ikke hjælper, skal du åbne en support billet og vi vil være glade for at hjælpe.

7
2
23635
Bedøm dette FAQ-svar

Efterlad en kommentar

XHTML: Du kan bruge disse tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X